{$apptype console}

const 
  v: int64 = int64(5 * 5 * 13 * 13 * 17 * 29) * 37;
  dx = 7;
  dy = 3;
  d: array[0..1]of longint = (-1, 1);

var t, c: longint;
    x, y: array[0..1000]of longint;
    i, j: int64;

begin
  c := 0;
  for t := 0 to trunc(sqrt(1.0 * v)) do begin
    i := t;
    j := round(sqrt(1.0 * v - 1.0 * i * i));
    if i * i + j * j = v then begin
      inc(c);
      x[c] := i;
      y[c] := j;
    end;
  end;

  writeln(c * 8 + 2);
  writeln('0 0');
  writeln(dx, ' ', dy);
  for t := 1 to c do begin
    writeln(x[t], ' ', y[t]);
    writeln(-y[t], ' ', x[t]);
    writeln(-x[t], ' ', -y[t]);
    writeln(y[t], ' ', -x[t]);

    writeln(x[t] + dx * d[random(2)], ' ', y[t] + dy * d[random(2)]);
    writeln(-y[t] + dx * d[random(2)], ' ', x[t] + dy * d[random(2)]);
    writeln(-x[t] + dx * d[random(2)], ' ', -y[t] + dy * d[random(2)]);
    writeln(y[t] + dx * d[random(2)], ' ', -x[t] + dy * d[random(2)]);
  end;
end.